// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/24DSI6C500K/24DSI6C500K_1.x.x.x_GSC_DN/utils/util_count.c $
// $Rev: 52718 $
// $Date: 2023-04-03 13:57:39 -0500 (Mon, 03 Apr 2023) $

// 24DSI6C500K: Utilities: source file

#include "main.h"



/******************************************************************************
*
*	Function:	dsi6c500k_count_boards
*
*	Purpose:
*
*		Count the number of installed devices.
*
*	Arguments:
*
*		verbose	Work verbosely?
*
*		qty		The count is reported here.
*
*	Returned:
*
*		>= 0	The number of errors found.
*
******************************************************************************/

int dsi6c500k_count_boards(int verbose, s32* qty)
{
	int	errs;

	errs	= os_count_boards(verbose, qty, dsi6c500k_open, dsi6c500k_read, dsi6c500k_close);
	return(errs);
}



